This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 985310 - pykickstart Python 3 compatibility
pykickstart Python 3 compatibility
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pykickstart (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On: 985288 1141245
Blocks: PY3ANACONDA
  Show dependency treegraph
 
Reported: 2013-07-17 05:40 EDT by Bohuslav "Slavek" Kabrda
Modified: 2015-02-20 10:58 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-20 10:58:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bohuslav "Slavek" Kabrda 2013-07-17 05:40:17 EDT
Hi,
is there any plan/estimate of making pykickstart compatible with Python 3? I'm currently trying to figure out what it'd take to move Fedora to Python 3 and since pykickstart is one of Anaconda's deps, it'd need to be converted as one of the first.
Thanks.
Comment 1 Chris Lumens 2013-07-23 17:07:10 EDT
A quick run of 2to3 across certain files doesn't indicate anything too weird that would have to be done.

I don't have any concrete plans on doing this yet.  One serious non-programming concern here is that in the past, we have used later versions of pykickstart on older internal systems (like RHEL6).  I'm concerned that if we move to python3 here, we're going to break the ability to do that.  Or, I'm going to end up having to port things back and forth.
Comment 2 Bohuslav "Slavek" Kabrda 2013-07-24 03:11:36 EDT
If RHEL 6 (Python 2.6) is the oldest you need to support, you can easily (more or less) run from a single source. Or do you need to support even older Pythons?
Comment 3 Fedora End Of Life 2013-09-16 10:34:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 4 Miro Hrončok 2013-10-01 10:30:32 EDT
If you need any extra hand with this, feel free to use me :)
Comment 5 Miro Hrončok 2013-10-02 07:35:51 EDT
Hi, we would like to use Python 3 on the default installation instead of Python 2 on Fedora 22.

From that perspective, your package is considered as IMPORTANT - that means, is has to be updated to Python 3, for our intention come true.

The goal here is, that at least for F22 you should provide python3- prefixed subpackage.

Please, help use update to Python 3 flawlessly.

Check if upstream already support Python 3, if yes, use it and add te support to the package.

If upstream doesn't support Python 3 yet, encourage it to do so by sending patches and offering your help.

When upstream is dead or unwilling to support Python 3, you'll need to patch this package on Fedora level. Try to avoid this as much as you can, but use it, if it's the last option.

Chances are, that you ARE the upstream. In that case, everything is easier, just do it yourself.

There is a table on wiki, that should list your package. Chances are, that you can see an upstream link that covers the problem. Anyway, please update the table with information you know.

https://fedoraproject.org/wiki/User:Churchyard/python3

I offer my help with this task, so if you have no idea, how to work on this, or it is just not your priority, don't hesitate to ask for help.

(As you've already realized, this is a bulk text, so if something is not quite exact about your package, sorry for that, just ask)
Comment 6 Toshio Ernie Kuratomi 2013-10-02 18:07:21 EDT
Note: do not follow this piece of advice as it is against the Packaging Guidelines: "When upstream is dead or unwilling to support Python 3, you'll need to patch this package on Fedora level. Try to avoid this as much as you can, but use it, if it's the last option."

If you are in this situation, you'll essentially be forking upstream in order to produce a python3 port.  In that situation, the proper thing to do is to create a new package with the python3 port.  It would be even better to create the proper upstream infrastructure as well (new upstream scm and issue tracker) but that isn't 100% required by the guidelines.
Comment 7 Ales Kozumplik 2013-12-16 05:12:10 EST
Related: bug 1009283. This current bug is not really blocking us but I fully expect someone to yell the dnf kickstart plugin doesn't work in py3.
Comment 8 Chris Lumens 2015-02-20 10:58:26 EST
I've pushed all the patches for this.  I just need to do a build.

Note You need to log in before you can comment on or make changes to this bug.